<template>
    <BasicTable @register="registerTable" >
      <template #bodyCell="{ column, record }">
       
        </template>
    </BasicTable>
  </template>
  <script lang="ts" setup>

  import { defineExpose } from 'vue';
  import { BasicColumn, BasicTable, useTable } from '/@/components/Table';
  import { getFileAccessHttpUrl } from '/@/utils/common/compUtils';
  import { list } from '/@/views/standardlib/best/StBestPractices.api';

  import { useRouter } from 'vue-router';


  const router = useRouter()

  const columns: BasicColumn[] = [
  {
    title: '行业实践',
    align:"left",
    dataIndex: 'practiceInfo'
   },
   {
    title: '适用对象',
    align:"left",
    dataIndex: 'applicableName'
   },
   {
    title: '执行规则',
    align:"left",
    dataIndex: 'execRule'
   },
  ];

  const [registerTable,{setProps,reload}] = useTable({
      title: '',
      api: list,
      columns: columns,
      bordered: true,
      immediate: false,
      showIndexColumn: false,
      beforeFetch(params) {
          params = Object.assign(params,{ column: 'updatedTime', order: 'desc' })
        }
    });


    function goToPage(record) {
      router.push({path: '/standardlib/StBestPracticesList',query:{bizNo: record.id}})
    }

  defineExpose({setProps,reload})
  </script>